/* Copyright (C) 1996,1997,1998,1999 by Salvador E. Tropea (SET),
   see copyrigh file for details */
#if defined(Uses_TSButton) && !defined(__TSButton_Defined__)
#define __TSButton_Defined__

class TSButton : public TSView
{
public:
 TSButton(const char *aTitle, ushort aCommand=cmOK, ushort aFlags=bfNormal);
 TSButton(const char *aTitle, ushort aCommand, ushort aFlags, int wForced);
 void fill(const char *aTitle, ushort aCommand, ushort aFlags, int wForced);
 virtual void insert(TDialog *d);
};

class TSViewCol;
void EasyInsertOKCancel(TSViewCol *col, int sep=1);
void EasyInsertOKCancelSp(TSViewCol *col, int sep=1);
#endif
